Subject: Re: [PATCH bpf 0/4] bpf, vsock: Fix poll() and close()

From: John Fastabend <[email-masked]>
Date: Thu, 21 Nov 2024 15:34:09 -0800

Stefano Garzarella wrote:
> On Wed, Nov 20, 2024 at 10:48:25PM -0800, John Fastabend wrote:
> >Michal Luczaj wrote:
> >> Two small fixes for vsock: poll() missing a queue check, and close() not
> >> invoking sockmap cleanup.
> >>
> >> Signed-off-by: Michal Luczaj <[email-masked]>
> >> ---
> >> Michal Luczaj (4):
> >>       bpf, vsock: Fix poll() missing a queue
> >>       selftest/bpf: Add test for af_vsock poll()
> >>       bpf, vsock: Invoke proto::close on close()
> >>       selftest/bpf: Add test for vsock removal from sockmap on close()
> >>
> >>  net/vmw_vsock/af_vsock.c                           | 70 ++++++++++++--------
> >>  .../selftests/bpf/prog_tests/sockmap_basic.c       | 77 ++++++++++++++++++++++
> >>  2 files changed, 120 insertions(+), 27 deletions(-)
> >> ---
> >> base-commit: 6c4139b0f19b7397286897caee379f8321e78272
> >> change-id: 20241118-vsock-bpf-poll-close-64f432e682ec
> >>
> >> Best regards,
> >> --
> >> Michal Luczaj <[email-masked]>
> >>
> >
> >LGTM, would be nice to get an ack from someone on the vsock side
> >though.
> 
> Sorry, is at the top of my list but other urgent things have come up.
> 
> I will review it by today.

Thanks a lot Stefano much appreciated! I was also slow to review as I
was travelling and on PTO.

> 
> Stefano
> 
> >
> >Acked-by: John Fastabend <[email-masked]>
> >
>